Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3474 - PUMP and buggy DHCP servers that don't return server identification option
Summary: PUMP and buggy DHCP servers that don't return server identification option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-15 08:29 UTC by breed
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 22:34:19 UTC


Attachments (Terms of Use)

Description breed 1999-06-15 08:29:28 UTC
If PUMP gets an OFFER or ACK back without a server id option
it bags everything.  While RFC 2131 is clear that OFFER and
ACK must have the server id, some simple DHCP servers (such
as those found in Ascend boxes) do not return that option.

A simple workaround is to use the broadcast address if the
server id isn't present.

Comment 1 breed 1999-06-15 16:12:59 UTC
There is a patch that fixes this and other problems in pump (as well
as reporting errors in syslog) at
http://www.cse.ucsc.edu/~breed/pump.patch.

Comment 2 Erik Troan 1999-06-22 19:29:59 UTC
Done in CVS (we'll have a package soon). (thanks for the patch)

Comment 3 Bill Nottingham 1999-08-31 22:34:59 UTC
This should be fixed in the latest errata release.


Note You need to log in before you can comment on or make changes to this bug.